@import url("https://fonts.googleapis.com/css?family=Montserrat:400");
* {
  font-family: "Montserrat", sans-serif;
  color: white;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

a {
  color: #fea501 !important;
}

div {
  padding: 0;
  margin: 0;
  content: "";
}

.no-img-found {
  text-align: center;
}

.navbar-inner li {
  line-height: 40px;
  letter-spacing: 2px;
}

.nav-link {
  border: 4px solid black;
  transition: border-top 0.3s;
  margin-top: -8px !important;
  padding-top: 16px;
  cursor: pointer;
  color: black !important;
}

.nav-link:hover {
  color: #fea501 !important;
}

.navbar-brand {
  letter-spacing: 4px !important;
  border-top: 4px solid #1a1a1a;
  transition: border-top 0.3s;
}

.navbar-brand > a:hover {
  text-decoration: none;
  color: initial;
}

.navbar-brand > a > img {
  height: 75px;
  width: 175px;
  border-radius: 10px;
}

.header {
  background-color: rgba(26, 26, 26, 26.95);
  /* remove the gradient */
  background-image: none !important;
  border-bottom: 2px solid #fea501 !important;
  line-height: 40px !important;
  box-shadow: 0 12px 6px -6px rgba(255, 255, 255, 0.1) !important;
}

.submit {
  background-color: #fea501 !important;
  color: #1a1a1a !important;
  padding: 7px 13px;
  border: none;
  margin-top: 30px;
  border-radius: 5px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  cursor: pointer;
  font-size: large;
  font-weight: 1000;
}

section.container {
  margin-top: 40px;
  max-width: 1024px;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
}

section.error-container {
  margin-top: 40px;
  /* max-width: 1024px; */
  margin-left: 175px;
  margin-bottom: 20px;
}

.error-title {
  color: #fea501 !important;
}

label {
  font-size: large;
  font-weight: bold;
}

.title-section {
  width: 50%;
  position: relative;
  height: 100px;
  /* overflow: hidden; */
}

.title-section input {
  background-color: white !important;
  font-size: large;
  font-weight: bold;
  width: 100%;
  height: 100%;
  color: #fea501 !important;
  padding-top: 30px;
  border: none;
  outline: none;
}

.title-section label {
  position: absolute;
  bottom: 0px;
  left: 0%;
  width: 100%;
  height: 100%;
  pointer-events: none;
  border-bottom: 1px solid black;
}

.title-section label::after {
  content: "";
  position: absolute;
  left: 0px;
  bottom: -1px;
  height: 100%;
  width: 100%;
  border-bottom: 2px solid #fea501;
  transform: translateX(-100%);
  transition: transform 0.3s ease;
}

.content-title {
  color: black !important;
  position: absolute;
  bottom: 5px;
  left: 0px;
  transition: all 0.3s ease;
}

.title-section input:focus + .file-title-label .content-title,
.title-section input:valid + .file-title-label .content-title {
  transform: translateY(-150%);
  /* color: #fea501 !important; */
}

.title-section input:focus + .file-title-label::after,
.title-section input:valid + .file-title-label::after {
  transform: translateX(0%);
}

.file-picker-label-image {
  display: block;
}

.file-picker-label {
  background-color: #4a4a4a !important;
  color: #fea501 !important;
  font-size: medium;
  text-align: center;
  width: 140px;
  padding: 0.5rem;
  border-radius: 0.3rem;
  cursor: pointer;
  margin-top: 0.5rem;
  transition: all 0.2s ease-out;
}

#file-chosen {
  margin-left: 0.3rem;
}

.file-picker-label:hover {
  background-color: #fea501 !important;
  color: #1a1a1a !important;
}

.main-img {
  height: 500px;
  width: 1000px;
  object-fit: contain;
  object-position: top 75%;
  padding-bottom: 15px;
  margin: 0 auto;
  margin-top: 15px;
}

.img-title {
  text-align: center;
  color: black;
}

.img-title-error {
  font-size: larger !important;
}

.imgs img {
  margin-top: 20px;
  height: 221px;
  width: 210px;
  object-fit: cover;
  cursor: pointer;
  opacity: 1;
  transition: opacity 0.2s ease-in;
}

.imgs img:hover {
  opacity: 0.75;
}

.imgs {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-row-gap: 5px;
  padding: 20px;
  grid-column-gap: 5px;
  object-fit: cover;
}

canvas {
  margin: 0 auto;
  width: 100%;
  margin-top: 15px;
}

.btn-disabled {
  background: #1a1a1a !important;
  color: white !important;
  border: 0;
  padding-left: 10px !important;
  padding-right: 10px !important;
  font-weight: 1000;
}

@media (max-width: 767px) {
  .btn-disabled {
    width: 150px;
  }
  .btn-block {
    display: block;
    width: 220px;
    margin: 0 auto;
  }
}

.btn-default,
.btn-info {
  background: #fea501 !important;
  color: #1a1a1a !important;
}

.btn-info {
  border-radius: 50% !important;
  width: 30px !important;
  height: 30px !important;
  margin-right: 5px !important;
  margin-left: 5px !important;
  font-weight: 1000;
}

.btn-danger {
  background: #f51f33e3 !important;
}

/* Fade in animation */

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

.fade-in {
  opacity: 0;
  animation: fadeIn 0.5s ease-in 1 forwards;
}
